package com.cftech.module.activity.core.service;

import com.alibaba.fastjson.JSONObject;
import com.cftech.core.generic.GenericService;

/**
 * Created by liuling on 2017/4/18.
 * 活动基础的Service类
 */
public interface ActivityBaseService<T> extends GenericService<T> {
    //开始活动
    boolean startActivity(T t);
    //玩一次
    JSONObject play(String openId, T t);
    //结束活动
    void endActivity(T t);
}
